### Method

# Gio Permission acquire_async

since: 2.26

#### Declaration

    void
    g_permission_acquire_async (
      GPermission* permission,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Attempts to acquire the permission represented by `permission`.

This is the first half of the asynchronous version of g_permission_acquire().

Available since: 2.26

This method completes asynchronously. Use `g_permission_acquire_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The `GAsyncReadyCallback` to call when done.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.